C     Fx compiler version 2.1
C     WRITE (unit=6,fmt=*) 'hello, world'
C     END
      PROGRAM main
      INTEGER fxcellid
      EXTERNAL fx_procstart
      EXTERNAL fx_deinit
      INTEGER fxdistarg
      EXTERNAL fx_init
      EXTERNAL fx_set_module_geometry
      COMMON /fxcommon/ fxcellid,fxdistarg
      CALL fx_init(fxcellid,1,1,0,0)
      CALL fx_set_module_geometry(0,0,0,8,8)
      fxdistarg = 0
      IF (fxcellid.EQ.0) THEN
        WRITE (unit=6,fmt=*) 'hello, world'
      ENDIF
      CALL fx_deinit()
      END
